<?php

declare(strict_types=1);

namespace App\Framework\DateTime\Exceptions;

use Exception;

class InvalidTimezoneException extends Exception
{
    public function __construct(string $timezone, ?\Throwable $previous = null)
    {
        parent::__construct(
            sprintf('Ungültige Zeitzone: "%s"', $timezone),
            0,
            $previous
        );
    }
}
